Skip to content

Delete an address

DELETE
/account/checkout-addresses/{checkout_address_id}
curl --request DELETE \
--url https://acme.mykreezalid.com/front_api/v1/account/checkout-addresses/4242 \
--header 'Authorization: Bearer <token>'

Removes one address from the signed-in member’s address book.

checkout_address_id
required
integer

Example

4242

Identifier of one of the signed-in member’s addresses.

The address is deleted. The body is empty.

No valid access token was sent, the address does not exist or belongs to another member (no address with this id), or it could not be deleted (can not delete the entity).

Media typeapplication/json

Error body returned by the Front API when it refuses a request.

object
code

HTTP status code, repeated in the body.

integer
status
string
message

Human-readable reason.

string

Example

{
"code": 403,
"status": "error",
"message": "Token not found in request"
}